Bug 170745 - Horizontal ruler yields crash
Horizontal ruler yields crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-14 08:08 EDT by starback
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.0-3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 03:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
soffice.bin under gdb (8.73 KB, text/plain)
2005-10-14 08:08 EDT, starback
no flags Details

  None (edit)
Description starback 2005-10-14 08:08:25 EDT
Description of problem:

Inserting horizontal ruler crashes openoffice.

Version-Release number of selected component (if applicable):

openoffice.org-*-1.9.125-1.1.0.fc4

How reproducible:

Yes (for me).

Steps to Reproduce:
1. Start oowriter
2. Insert->Horizontal ruler

  
Actual results:

/usr/lib/openoffice.org2.0/program/soffice: line 164: 23893 Segmentation fault 
    "$sd_prog/$sd_binary" "$@"

Expected results:

no crash

Additional info:

There are lots of other things that also crash OOo for me.
The ruler is just an example.

I have installed openoffice.org-debuginfo-1.9.125-1.1.0.fc4 and did
1. gdb /usr/lib/openoffice.org2.0/program/soffice.bin 
2. (gdb) run
3. Insert->Horizontal ruler
4. (gdb) bt

See attachment.
Comment 1 starback 2005-10-14 08:08:25 EDT
Created attachment 119971 [details]
soffice.bin under gdb
Comment 2 Caolan McNamara 2005-10-14 12:22:41 EDT
works in rawhide, will push ooo 2.0.0 for fc4 real soon now

Note You need to log in before you can comment on or make changes to this bug.